Subject: Re: bug#18405: 24.3.93; bat-mode.el

From: Stefan Monnier <[email-masked]>
Date: Tue, 09 Sep 2014 09:45:50 -0400

>    . variable definitions in for loops (the 'x' part in "for %%x") are
>      highlighted with different face from their references in the "do"
>      part of the loop

FWIW in sh-mode, for something like "for f in echo $f", we also
highlight the two occurrences of "f" differently.  I'm not saying it's
a feature, but it's definitely a common behavior to highlight the
"introduction" occurrence differently from the "reference" occurrences.

        Stefan